Bug 7334 - Improve 'No address stored' and similar messages in patron account
Summary: Improve 'No address stored' and similar messages in patron account
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) trivial (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-08 06:17 UTC by Katrin Fischer
Modified: 2013-12-05 19:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot (15.21 KB, image/png)
2011-12-08 06:17 UTC, Katrin Fischer
Details
Bug 7334: Improve 'no address stored' and similar messages in patron account (4.53 KB, patch)
2011-12-08 06:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
Signed-off patch (4.79 KB, patch)
2011-12-08 07:28 UTC, Frédéric Demians
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-12-08 06:17:58 UTC
Created attachment 6658 [details]
screenshot

The 'no address stored' message above the left menu in the patron account shows up, when the first address field is empty. 
It would make more sense to check for first and second address line to be empty, before showing the message.
Comment 1 Katrin Fischer 2011-12-08 06:22:22 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2011-12-08 07:28:45 UTC
Created attachment 6662 [details] [review]
Signed-off patch

Bug 7334: Improve 'no address stored' and similar messages in patron account

- 'no address stored' is now only displayed when first and second line
  of the address are empty
- added id's to all 3 possible messages so people can change or hide
  them

To test:

1) Check 'no address stored' shows only up when address fields are both
   empty
2) Check address is still correctly displayed

Note: make sure you check the 'checkouts' and other tabs, because there
are 2 different include files used here.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

I confirm the bug and the solution. Text messages identification for
customization with JavaScript is a plus.
Comment 3 Paul Poulain 2011-12-15 17:21:19 UTC
QA comment: small patch related to templates, works

prove xt/author/valid-templates.t 
xt/author/valid-templates.t .. ok     


passed QA

patch pushed, please test
Comment 4 Jared Camins-Esakov 2012-05-23 12:17:03 UTC
Included in 3.6 prior to 3.6.5.